Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.ranking
Class TotalScoreSolverRankingComparator

    java.lang.Object
      org.optaplanner.benchmark.impl.ranking.TotalScoreSolverRankingComparator

All Implemented Interfaces:
  Serializable, Comparator<SolverBenchmarkResult>

    public class TotalScoreSolverRankingComparator

extends Object
implements Comparator<SolverBenchmarkResult>, Serializable

This ranking `Comparator` orders a `SolverBenchmarkResult` by its total `Score`. It maximize the overall score, so it minimizes the overall cost if all `Solution`s would be executed.

When the inputSolutions differ greatly in size or difficulty, this often results in a big difference in `Score` magnitude between each `Solution`. For example: score 10 for dataset A versus 1000 for dataset B. In such cases, dataset B would marginalize dataset A. To avoid that, use `TotalRankSolverRankingWeightFactory`.

See Also:
  Serialized Form

Constructor Summary
`TotalScoreSolverRankingComparator()`

Method Summary
`int` | `compare(SolverBenchmarkResult a, SolverBenchmarkResult b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### TotalScoreSolverRankingComparator

    public TotalScoreSolverRankingComparator()

Method Detail

### compare

    public int compare(SolverBenchmarkResult a,
                       SolverBenchmarkResult b)

  Specified by:
    `compare` in interface `Comparator<SolverBenchmarkResult>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.